Package net.shibboleth.idp.authn.context.logic

# Class AuthenticationResultPredicate

java.lang.Object
net.shibboleth.idp.authn.context.logic.AbstractAuthenticationResultPredicate
net.shibboleth.idp.authn.context.logic.AuthenticationResultPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class AuthenticationResultPredicate extends AbstractAuthenticationResultPredicate
Condition that checks for the existence of at least one active `AuthenticationResult` instances of a given flow.

Since:
  5.2.0

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationResultPredicate()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doMatch(ProfileRequestContext profileRequestContext, AuthenticationResult result)`
Evaluate an `AuthenticationResult` for a match.

### Methods inherited from class net.shibboleth.idp.authn.context.logic.AbstractAuthenticationResultPredicate

`getAuthenticationResults, getIncludedFlows, isIncludeIntermediateResults, setIncludedFlows, setIncludeIntermediateResults, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### AuthenticationResultPredicate

public AuthenticationResultPredicate()

## Method Details

### doMatch

protected boolean doMatch(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationResult result)
Evaluate an `AuthenticationResult` for a match.

The default evaluation is simply that its existence is sufficient, but subclasses may override for more specific cases.

Specified by:
  `doMatch` in class `AbstractAuthenticationResultPredicate`
Parameters:
  `profileRequestContext` - profile request context
  `result` - result to evaluate
Returns:
  true iff the subclass deems this a matching result